#!/usr/bin/python
# -*- coding: utf-8 -*-

# Copyright © 2014 by James Conrad Shea (Duckstab).
#
# Lists of naval units

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

AMERICAN_SHIP_PREFIX = "USS"

AMERICAN_ATTACK_SUBMARINES = [
    "Albuquerque",
    "Augusta",
    "Baltimore",
    "Baton Rouge",
    "Birmingham",
    "Boston",
    "Bremerton",
    "Cincinnati",
    "Dallas",
    "Groton",
    "Hyman G. Rickover",
    "Indianapolis",
    "Jacksonville",
    "La Jolla",
    "Los Angeles",
    "Memphis",
    "New York City",
    "Omaha",
    "Phoenix",
    "Portsmouth"
    ]

AMERICAN_BATTLESHIPS = [
    "Arizona",
    "California",
    "Colorado",
    "Illinois",
    "Indiana",
    "Iowa",
    "Maine",
    "Maryland",
    "Massachussets",
    "Missouri",
    "Nevada",
    "New Jersey",
    "North Carolina",
    "Oklahoma",
    "Oregon",
    "Pennsylvania",
    "Tennessee",
    "Texas",
    "West Virginia",
    "Wisconsin"
    ]

AMERICAN_CARRIERS = [
    "Belleau Wood",
    "Bennington",
    "Boxer",
    "Carl Vinson",
    "Dwight D. Eisenhower",
    "Enterprise",
    "Gerald R. Ford",
    "Hornet",
    "Intrepid",
    "John F. Kennedy",
    "Kearsarge",
    "Langley",
    "Lexington",
    "Nimitz",
    "Ranger",
    "Saratoga",
    "St. Lo",
    "Theodore Roosevelt",
    "Wasp",
    "Yorktown"
    ]

AMERICAN_DESTROYERS = [
    "Bainbridge",
    "Chauncey",
    "Decatur",
    "Ericsson",
    "Fairfax",
    "Fanning",
    "Gamble",
    "Hale",
    "Isherwood",
    "John Francis Burns",
    "Kearny",
    "Kennedy",
    "Lamson",
    "Macdonough",
    "Niblack",
    "Nicholson",
    "Noa",
    "O'Brien",
    "Plunkett",
    "Reuben James"
    ]

AMERICAN_MISSILE_CRUISERS = [
    "Albany",
    "Antietam",
    "Anzio",
    "Bunker Hill",
    "Canberra",
    "Cowpens",
    "Galveston",
    "Lake Champlain",
    "Little Rock",
    "Long Beach",
    "Monterey",
    "Oklahoma City",
    "Philippine Sea",
    "Princeton",
    "San Jacinto",
    "Springfield",
    "Ticonderoga",
    "Topeka",
    "Valley Forge",
    "Vella Gulf"
    ]

AMERICAN_FRIGATES = [
    "Alfred",
    "Alliance",
    "Bonhomme Richard",
    "Chesapeake",
    "Columbia",
    "Columbus",
    "Congress",
    "Constellation",
    "Constitution",
    "Delaware",
    "Essex",
    "Ganges",
    "Hancock",
    "Montgomery",
    "Philadelphia",
    "President",
    "Raleigh",
    "Randolph",
    "United States",
    "Warren"
    ]

AMERICAN_IRONCLADS = [
    "Amphitrite",
    "Catskill",
    "Lehigh",
    "Marietta",
    "Montauk",
    "Monitor",
    "Nahant",
    "Nantucket",
    "Neosho",
    "New Ironsides",
    "Osage",
    "Ozark",
    "Passaic",
    "Patapsco",
    "Puritan",
    "Roanoke",
    "Sangamon",
    "Tecumseh",
    "Weehawken"
]

AMERICAN_PRIVATEERS = [
    "David Hawley",
    "Ephraim Sturdivant",
    "James Giberson",
    "John Ordronaux",
    "Jonathan Haraden",
    "Otway Burns",
    "Prince de Neufchatel",
    "Scammel",
    "Viper",
    "Yankee"
    ]

AMERICAN_SHIPS_OF_THE_LINE = [
    "America",
    "Boston",
    "Chippewa",
    "Franklin",
    "Independence",
    "New Hampshire",
    "New Orleans",
    "New York",
    "Vermont",
    "Virginia",
    "Washington"
    ]

AMERICAN_STEALTH_DESTROYERS = [
    "Lyndon B. Johnson",
    "Michael Monsoor",
    "Zumwalt"
    ]

AMERICAN_SUBMARINES = [
    "Alabama",
    "Alaska",
    "Benjamin Franklin",
    "Florida",
    "Francis Scott Key",
    "George Bancroft",
    "George C. Marshall",
    "George Washington Carver",
    "Georgia",
    "Henry L. Stimson",
    "Henry M. Jackson",
    "James K. Polk",
    "Kamehameha",
    "Kentucky",
    "Mariano G. Vallejo",
    "Michigan",
    "Nebraska",
    "Ohio",
    "Simon Bolivar",
    "Will Rogers"
    ]

AMERICAN_TRANSPORTS = [
    "Anchorage",
    "Arlington",
    "Austin",
    "Cleveland",
    "Coronado",
    "Denver",
    "Dubuque",
    "Duluth",
    "Green Bay",
    "John P. Murtha",
    "Juneau",
    "Nashville",
    "Ogden",
    "Ponce",
    "Prometheus",
    "San Antonio",
    "San Diego",
    "Shreveport",
    "Somerset",
    "Trenton"
    ]

ARABIAN_SHIP_PREFIX = "HMS"

# Modern Chinese ships are drawn from the fleets of both the PRC and ROC. Pinyin is preferred spelling when
# known.

CHINESE_SHIP_PREFIX = "CNS"

CHINESE_ATTACK_SUBMARINES = [
    "Hai Bao",
    "Hai Hu",
    "Hai Lung",
    "Hai Shih"
    ]

CHINESE_BATTLESHIPS = [
    "Dingyuan",
    "Zhenyuan"
    ]

CHINESE_DESTROYERS = [
    "Dailan",
    "Dang Yang",
    "Fu Yang",
    "Fuzhou",
    "Hangzhou",
    "Han Yang",
    "Harbin",
    "Kaifeng",
    "Kai Yang",
    "Kee Lung",
    "Lao Yang",
    "Ma Kong",
    "Qingdao",
    "Shenyang",
    "Shijiazhuang",
    "Su Ao",
    "Tse Yang",
    "Tso Ying",
    "Xining",
    "Yinchuan"
    ]

CHINESE_FRIGATES = [
    "Haian",
    "Yuyuan"
    ]

CHINESE_IRONCLADS = [
    "Jinou"
    ]

CHINESE_TRANSPORTS = [
    "Chenhang",
    "Feiyun",
    "Fupo",
    "Ji'an",
    "Liyun",
    "Yangwu",
    "Yongbao",
    "Yuen Feng"
    ]


# Zr.Ms. =  Zijner Majesteits = His Majesty's
DUTCH_SHIP_PREFIX = "Zr.Ms."

# VOC = Vereenigde Oost-Indische Compagnie. I'm sure this would not have been used as an official ship
# prefix, it just seemed appropriately colorful.
DUTCH_EAST_INDIA_COMPANY_PREFIX = "VOC"

DUTCH_ATTACK_SUBMARINES = [
    "Bruinvis",
    "Dolfijn",
    "Potvis",
    "Tijgerhaai",
    "Tonijn",
    "Walrus",
    "Zeehond",
    "Zeeleeuw",
    "Zwaardvisch"
    ]

DUTCH_BATTLESHIPS = [
    "Hertog Hendrik",
    "Jacob Van Heemskerck",
    "Koning der Nederlanden",
    "Koningin Regentes",
    "Martin Harpertzoon Tromp"
    ]

DUTCH_CARRIERS = [
    "Karel Doorman"
    ]

DUTCH_DESTROYERS = [
    "Banckert",
    "De Ruyter",
    "Drenthe",
    "Eversten",
    "Fret",
    "Friesland",
    "Holland",
    "Issac Sweers",
    "Kortenaer",
    "Limburg",
    "Noord Brabant",
    "Philips van Almonde",
    "Piet Hein",
    "Tjerk Hiddes",
    "Van Galen",
    "Van Ghent",
    "Van Nes",
    "Witte de With",
    "Wolf",
    "Zeeland"
    ]

DUTCH_EAST_INDIAMEN = [
    "Amhem",
    "Batavia",
    "Braek",
    "Concordia",
    "Duyfken",
    "Galias",
    "Grooten Broeck",
    "Halve Maen",
    "Hoogskarpel",
    "Klein Amsterdam",
    "Leeuwerik",
    "Mauritius",
    "Meermin",
    "Prins Willem",
    "Ridderschap van Holland",
    "Rooswijk",
    "Sardam",
    "Vergulde Draeck",
    "Wapen van Hoorn",
    "Zeewijk"
    ]

DUTCH_FRIGATES = [
    "Cogge",
    "Frederik Hendrik",
    "Gelderland",
    "Groningen",
    "Hollandsche Tuyn",
    "Landman",
    "Maeght van Dordrecht",
    "Neptunis",
    "Overijssel",
    "Princesse Louise",
    "Salamander",
    "Sampson",
    "Sint Laurens",
    "Utrecht",
    "Veere",
    "Vlissingen",
    "Wapen van Holland",
    "Wapen van Medemblick",
    "Zeeridder",
    "Zon"
    ]

DUTCH_IRONCLADS = [
    "Adder",
    "Bloedhond",
    "Buffel",
    "Cerberus",
    "Draak",
    "Haai",
    "Heligerlee",
    "Hyena",
    "Krokodil",
    "Luipaard",
    "Matador",
    "Panter",
    "Reinier Claeszen",
    "Tijger",
    "Wesp"
    ]

DUTCH_PRIVATEERS = [
    "Jan Janszoon",
    "Magnus Heinason",
    "Pier Gerlofs Donia",
    "Piet Pieterszoon Hein",
    "Salomo de Veenboer",
    "Wijerd Jelckama",
    "Zymen Danseker"
    ]

DUTCH_SHIPS_OF_THE_LINE = [
    "Admiraal Generaal",
    "Aemilia",
    "Amsterdam",
    "Brederode",
    "Delfland",
    "Delft",
    u"De Zeven Provinciën",
    "Eendracht",
    "Gouden Leeuw",
    "Hollandia",
    "Huis te Cruiningen",
    "Huis te Oosterwijk",
    "Huis te Swieten",
    "Jozua",
    "Oostergo",
    "Prinses Maria",
    "Rotterdam",
    "Wapen van Utrecht",
    "Westvriesland",
    "Zeelandia"
    ]

DUTCH_TRANSPORTS = [
    "Johan de Witt",
    "Patria",
    "Zuiderkruis"
    ]

ENGLISH_SHIP_PREFIX = "HMS"
ENGLISH_AUXILIARY_PREFIX = "RFA"

ENGLISH_ATTACK_SUBMARINES = [
    "Churchill",
    "Conqueror",
    "Oberon",
    "Ocelot",
    "Odin",
    "Olympus",
    "Onslaught",
    "Oracle",
    "Orpheus",
    "Otter",
    "Talent",
    "Tireless",
    "Torbay",
    "Trafalgar",
    "Trenchant",
    "Turbulent",
    "Unicorn",
    "Unseen",
    "Upholder",
    "Valiant"
    ]

ENGLISH_BATTLESHIPS = [
    "Anson",
    "Bellerophon"
    "Colossus",
    "Dreadnought",
    "Duke of York",
    "Hercules",
    "Howe",
    "King George V",
    "Monarch",
    "Nelson",
    "Neptune"
    "Orion",
    "Prince of Wales",
    "Queen Elizabeth",
    "Ramillies",
    "Rodney",
    "Royal Oak",
    "Royal Sovereign",
    "St. Vincent",
    "Temeraire"
    ]

ENGLISH_CARAVELS = [
    "Buchett",
    "Cog Thomas",
    "Edmund",
    "Edward",
    "Falcon",
    "Gabriel",
    "Godibiate",
    "Grace Dieu",
    "Isabella",
    "Jerusalem",
    "John",
    "Jonette",
    "Lawrence",
    "Mariote",
    "Mary",
    "Mary Rose",
    "Michael",
    "Plenty",
    "Thomas Beauchamp",
    "Welfare"
    ]

ENGLISH_CARRIERS = [
    "Albion",
    "Argus",
    "Ark Royal",
    "Bulwark",
    "Centaur",
    "Eagle",
    "Formidable",
    "Furious",
    "Glorious",
    "Glory",
    "Hermes",
    "Illustrious",
    "Implacable",
    "Indefatigable",
    "Indomitable",
    "Ocean",
    "Pioneer",
    "Theseus",
    "Venerable",
    "Warrior"
    ]

ENGLISH_DESTROYERS = [
    "Achates",
    "Ambuscade",
    "Ardent",
    "Broke",
    "Contest",
    "Fortune",
    "Garland",
    "Hardy",
    "Magic",
    "Martial",
    "Midge",
    "Mischief",
    "Oak",
    "Ossory",
    "Owl",
    "Porpoise",
    "Sparrowhawk",
    "Spitfire",
    "Tipperary",
    "Unity"
    ]

ENGLISH_FRIGATES = [
    "Actaeon",
    "Active",
    "Aquilon",
    "Argo",
    "Boreas",
    "Carysfort",
    "Cerberus",
    "Coventry",
    "Griffin",
    "Guadeloupe",
    "Hind",
    "Hussar",
    "Laurel",
    "Levant",
    "Liverpool",
    "Lizard",
    "Maidstone",
    "Milford",
    "Shannon",
    "Trent"
    ]

ENGLISH_GALLEONS = [
    "Anne and Joyce",
    "Ark Raleigh",
    "Discovery",
    "Elizabeth Bonaventure",
    "Four Sisters",
    "Godspeed",
    "Golden Fleece",
    "Golden Hind",
    "Loyalty",
    "Phoenix",
    "Rainbow",
    "Society",
    "Susan Constant",
    "Thomas and William",
    "Triumph"
    ]

ENGLISH_PRIVATEERS = [
    "Alexander Godfrey",
    "Christopher Myngs",
    "Christopher Newport",
    "Edward Collier",
    "Edward Teach",
    "Henry Mainwaring",
    "Henry Morgan",
    "Jack Ward",
    "Joseph Barss",
    "Martin Frobisher",
    "Michael Geare",
    "Peter Easton",
    "Robert Walsingham",
    "Sir Francis Drake",
    "Sir George Clifford",
    "Sir John Hawkins",
    "Sir Richard Hawkins",
    "Sir Walter Raleigh",
    "Thomas Fenner",
    "William Burroughs"
    ]

ENGLISH_SHIPS_OF_THE_LINE = [
    "Atlas",
    "Britannia",
    "Crown",
    "Dublin",
    "Edgar",
    "Foudroyant",
    "Ganges",
    "Goliath",
    "Lenox",
    "Mars",
    "Namur",
    "Norfolk",
    "Panther",
    "Polyphemus",
    "Royal William",
    "Ruby",
    "Shrewsbury",
    "Suffolk",
    "Victory",
    "Warspite"
    ]

ENGLISH_STEALTH_DESTROYERS = [
    "Daring",
    "Dauntless",
    "Defender",
    "Diamond",
    "Dragon",
    "Duncan"
    ]

ENGLISH_SUBMARINES = [
    "Ambush",
    "Artful",
    "Astute",
    "Renown",
    "Repulse",
    "Resolution",
    "Revenge",
    "Sceptre",
    "Sovereign",
    "Spartan",
    "Splendid",
    "Superb",
    "Swiftsure",
    "Undine",
    "Unity",
    "Ursula",
    "Vanguard",
    "Vengeance",
    "Victorious",
    "Vigilant"
    ]

ENGLISH_TRANSPORTS = [
    "Baltic Ferry",
    "Canberra",
    "Cardigan Bay",
    "Elk",
    "Europic Ferry",
    "Fort Austin",
    "Fort Grange",
    "Largs Bay",
    "Lyme Bay",
    "Mounts Bay",
    "Regent",
    "Resource",
    "Sir Bedivere",
    "Sir Galahad",
    "Sir Geraint",
    "Sir Lancelot",
    "Sir Percivale",
    "Sir Tristram",
    "Stormness",
    "Uganda"
    ]

FRENCH_ATTACK_SUBMARINES = [
    u"Améthyste",
    u"Aréthuse",
    u"Daphné",
    "Diane",
    "Doris",
    "Duguay-Trouin",
    u"Émeraude",
    "Eurydice",
    "Flore",
    u"Galatée",
    "Junon",
    "Minerve",
    "Perle",
    u"Psyché",
    "Rubis",
    "Saphir",
    u"Sirène",
    "Suffren",
    "Tourville",
    u"Vénus"
    ]

FRENCH_BATTLESHIPS = [
    "Bouvet",
    "Carnot",
    "Charles Martel",
    "Condorcet",
    "Courbet",
    "Danton",
    "Diderot",
    "Dunkerque",
    "France",
    u"Jauréguiberry",
    "Jean Bart",
    "Lorraine",
    "Mirabeau",
    "Normandie",
    "Paris",
    "Provence",
    "Richelieu",
    "Strasbourg",
    "Vergniaud",
    "Voltaire"
    ]

FRENCH_CARRIERS = [
    "Arromanches",
    u"Béarn",
    "Charles de Gaulle",
    "Clemenceau",
    "Dixmude",
    "Foch",
    "La Fayette"
    ]

FRENCH_DESTROYERS = [
    "Audacieux",
    "Casabianca",
    "Cassard",
    "Chevalier Paul",
    u"D'Estrées",
    "Du Chayla",
    u"Duperré",
    "Dupetit-Thouars",
    "Fantasque",
    "Forbin",
    u"Guépratte",
    "Indomptable",
    "Kersaint",
    "La Bourdonnais",
    u"Maillé-Brézé",
    "Malin",
    "Surcouf",
    "Tartu",
    "Terrible",
    "Vauquelin"
    ]

FRENCH_FRIGATES = [
    u"Aimable Eugénie",
    "Alceste",
    u"Artémise",
    u"Cornélie",
    "Courageuse",
    "Didon",
    "Harmonie",
    "Iris",
    "Lutine",
    "Magicienne",
    "Modeste",
    u"Précieuse",
    u"Réunion",
    "Sensible",
    u"Sérieuse",
    "Topaze",
    "Vestale",
    "Virginie",
    "Volontaire",
    u"Zéphyr"
    ]

FRENCH_GALLEONS = [
    u"Emérillon",
    "Forte",
    "La Belle",
    "La Grande Hermine",
    "Le Soleil Royale",
    "Licorne",
    "Saint Louis"
    ]

FRENCH_GALLEYS = [
    "Dauphine",
    "La Palme",
    u"La Réale"
    ]

FRENCH_IRONCLADS = [
    "Alma",
    "Armide",
    "Atalante",
    "Jeanne d'Arc",
    u"La Galissonnière",
    "Montcalme",
    "Reine Blanche",
    u"Thétis",
    "Triomphante",
    "Victorieuse"
    ]

FRENCH_PRIVATEERS = [
    "Cantabre",
    "Emperor",
    "Esperance",
    "Etienne Pellot",
    "Grand Louis",
    u"Jean-François Roberval",
    "Jean Bart",
    "Jean d'Ango",
    "Jean Florin",
    "Jean Gaspard Vence",
    "Jean Lafitte",
    "Marquis",
    "Nicolas Baeteman",
    "Notre-Dame",
    "Petite-Marie",
    "Railleuse",
    u"René Duguay-Trouin",
    "Roi David",
    "Robert Surcouf",
    "Serpente"
    ]

FRENCH_SHIPS_OF_THE_LINE = [
    "Actif",
    "Bretagne",
    "Content",
    "Couronne",
    "Dictateur",
    "Fier",
    "Foudroyant",
    "Guerriere",
    "Hippopotame",
    "Invincible",
    u"La Ménagère",
    "Lion",
    "Majesteux",
    u"Orphée",
    "Redoutable",
    "Robuste",
    "Royal Louis",
    "Soleil Royal",
    u"Téméraire",
    "Triton"
    ]

FRENCH_SUBMARINES = [
    u"Algeríen",
    "Castor",
    u"Dupuy de Lôme",
    "Esturgeon",
    u"Français",
    u"Gnôme",
    u"Gustave Zédé",
    "Gymnote",
    "Inflexible",
    "Loutre",
    "Ludion",
    "Lutin",
    "Lynx",
    "Morse",
    u"Naïade",
    u"Protée",
    u"Sané",
    "Tonnant",
    "Triomphant",
    "Vigilant"
    ]

FRENCH_TRANSPORTS = [
    "Allier",
    "Caravane",
    "Champlain",
    "Dumont d'Urville",
    "Durance",
    "Eclipse",
    "Eider",
    "Francis Garnier",
    "Hallebarde",
    "Jacques Cartier",
    u"La Grandière",
    "Marne",
    "Meuse",
    "Nievre",
    "Oise",
    "Orage",
    "Ouragan",
    "Pelican",
    "Somme",
    "Var"
    ]

# SMS = Seiner Majestät Schiff
GERMAN_SHIP_PREFIX = "SMS"

# SM U = Seiner Majestät Unterseeboot
GERMAN_SUBMARINE_PREFIX = "SM U-"

GERMAN_BATTLESHIPS = [
    "Baden",
    "Bayern",
    "Bismarck",
    u"Friedrich der Große",
    "Gneisenau",
    u"Großer Kurfürst",
    "Helgoland",
    "Kaiser",
    "Kaiserin",
    u"König",
    u"König Albert",
    "Kronprinz",
    "Markgraf",
    "Ostfriesland",
    "Prinzregent Luitpold",
    "Sachsen",
    "Scharnhorst",
    u"Thüringen",
    "Tirpitz",
    u"Württemberg"
    ]

GERMAN_DESTROYERS = [
    "Bernd von Arnim",
    "Bruno Heinemann",
    "Diether von Roeder",
    "Erich Giese",
    "Erich Koellner",
    "Erich Steinbrinck",
    "Friedrich Eckholdt",
    "Friedrich Ihn",
    "Georg Thiele",
    "Hans Lody",
    u"Hans Lüdemann",
    u"Hermann Künne",
    "Hermann Schoemann",
    "Karl Galster",
    "Leberecht Maas",
    "Max Schultz",
    "Paul Jakobi",
    "Richard Beitzen",
    "Theodor Riedel",
    "Wolfgan Zenker"
    ]

GERMAN_GALLEONS = [
    u"Adler von Lübeck"
    ]

GERMAN_IRONCLADS = [
    u"Ægir",
    "Arminius",
    "Beowulf",
    "Deutschland",
    "Friedrich Carl",
    "Frithjof",
    "Hagen",
    "Hansa",
    "Heimdall",
    "Hildebrand",
    u"König Wilhelm",
    "Moselle",
    "Odin",
    "Oldenburg",
    "Preussen",
    "Prinz Adalbert",
    "Rhein",
    "Siegfried"
    ]

GERMAN_PRIVATEERS = [
    "Cord Widderich",
    "Gottfried Michaelsen",
    "Hennig Wichmann",
    u"Klaus Störtebeker",
    "Klein Henszlein",
    "Magister Wigbold"
    ]

GERMAN_TRANSPORTS = [
    "Barbe",
    "Brasse",
    "Delphin",
    "Dorsch",
    "Felchen",
    "Flunder",
    "Forelle",
    "Inger",
    "Karpfen",
    "Lachs",
    "Makrele",
    u"Muräne",
    u"Plötze",
    "Renke",
    "Rochen",
    "Schlei",
    u"Stör",
    u"Tümmler",
    "Wels",
    "Zander"
    ]

# HS = Hellenic Ship

GREEK_SHIP_PREFIX = "HS"

GREEK_ATTACK_SUBMARINES = [
    "Amfitriti",
    "Argonaftis",
    "Delfin",
    "Glafkos",
    "Katsonis",
    "Matrozos",
    "Nirefs",
    "Papanikolis",
    "Pipinos",
    "Poseidon",
    "Protefs",
    "Triana",
    "Triton",
    "Xifias"
    ]

GREEK_BATTLESHIPS = [
    "Kilkis",
    "Lemnos",
    "Vasilefs Konstantinos"
    ]

GREEK_DESTROYERS = [
    "Adrias",
    "Aetos",
    "Hydra",
    "Ierax",
    "Kanaris",
    "Kountouriotis",
    "Kriti",
    "Leon",
    "Lonchi",
    "Miaoulis",
    "Nafkratousa",
    "Panthir",
    "Pindos",
    "Psara",
    "Sfendoni",
    "Spetsai",
    "Themistocles",
    "Thyella",
    "Vasilefs Georgios",
    "Vasilissa Olga"
    ]

GREEK_PRIVATEERS = [
    "Anicetus",
    "Demitrius of Pharos",
    "Dionysius the Phocaean",
    "Genthus of Illyria",
    "Glauketas"
    ]

GREEK_TRANSPORTS = [
    "Acheeloos",
    "Alfeios",
    "Aliakmon",
    "Axios",
    "Chios",
    "Ikaria",
    "Kos",
    "Lesvos",
    "Limnos",
    "Oinoussai",
    "Pineios",
    "Rodos",
    "Samos",
    "Strymon",
    "Syros",
    "Ypoploiarchos Daniolos",
    "Ypoploiarchos Grigoropoulos",
    "Ypoploiarchos Krystallidis",
    "Ypoploiarchos Roussen",
    "Ypoploiarchos Tournas"
    ]

INDIAN_SHIP_PREFIX = "INS"

INDIAN_ATTACK_SUBMARINES = [
    "Chakra",
    "Kalvari",
    "Karanj",
    "Khanderi",
    "Kursura",
    "Shishumar",
    "Shankush",
    "Shalki",
    "Shankul",
    "Sindhughosh",
    "Sindhudhvaj",
    "Sindhuraj",
    "Sindhuvir",
    "Sindhuratna",
    "Sindhukesari",
    "Sindhukirti",
    "Sindhuvijay",
    "Sindhurakshak",
    "Sindhushastra",
    "Vela"
    ]

INDIAN_CARRIERS = [
    "Vikramaditya",
    "Vikrant",
    "Viraat",
    "Vishal"
    ]

INDIAN_DESTROYERS = [
    "Chennai",
    "Delhi",
    "Ganga",
    "Godavari",
    "Kochi",
    "Kolkata",
    "Mumbai",
    "Mysore",
    "Rajput",
    "Rana",
    "Ranjit"
    ]

INDIAN_TRANSPORTS = [
    "Aditya",
    "Ambika",
    "Andamans",
    "Cheetah",
    "Deepak",
    "Gharial",
    "Guldar",
    "Jalashwa",
    "Jyoti",
    "Kesari",
    "Kumbhir",
    "Lakshadweep",
    "Magar",
    "Mahish",
    "Nicobar",
    "Poshak",
    "Purak",
    "Puran",
    "Shakti",
    "Shardul"
    ]

JAPANESE_SUBMARINE_PREFIX = "I-"

JAPANESE_BATTLESHIPS = [
    "Aki",
    "Amagi",
    "Fuso",
    "Haruna",
    "Hiei",
    "Hyuga",
    "Ise",
    "Kawachi",
    "Kii",
    "Kirishima",
    "Kongo",
    "Musashi",
    "Mutsu",
    "Nagato",
    "Okinoshima",
    "Omi",
    "Owari",
    "Suruga",
    "Yamashiro",
    "Yamato"
    ]

JAPANESE_CARRIERS = [
    "Akagi",
    "Aso",
    "Chitose",
    "Chiyoda",
    "Hiryu",
    "Hiyo",
    "Hosho",
    "Junyo",
    "Kaga",
    "Kasagi",
    "Katsuragi",
    "Ryuho",
    "Ryujo",
    "Shinano",
    "Shoho",
    "Shokaku",
    "Soryu",
    "Taiho",
    "Zuiho",
    "Zuikaku"
    ]

JAPANESE_DESTROYERS = [
    "Arashio",
    "Asashio",
    "Kagero",
    "Kawakaze",
    "Kiri",
    "Kuroshio",
    "Kuwa",
    "Makinami",
    "Matsu",
    "Michishio",
    "Momo",
    "Naganami",
    "Oshio",
    "Oyashio",
    "Suzukaze",
    "Tachibana",
    "Takanami",
    "Take",
    "Ume"
    ]

JAPANESE_FRIGATES = [
    "Asahi Maru",
    "Banryu",
    "Chiodagata",
    "Chogei",
    "Choyo",
    "Fujiyama",
    "Hou-Ou Maru",
    "Kaiten",
    "Kanko Maru",
    "Kanrin Maru",
    "Kaiyo Maru",
    "Kasuga",
    "Mikaho",
    "Moshun",
    "Nisshin",
    "Shinshoku",
    "Shohei Maru",
    "Teibo",
    "Unyo",
    "Yoharu"
    ]

JAPANESE_TRANSPORTS = [
    "Akitsushima",
    "Arasaki",
    "Ashizuri",
    "Brazil Maru",
    "Hakachi",
    "Hario",
    "Hayasaki",
    "Hayasui",
    "Irako",
    "Kinai Maru",
    "Kinezaki",
    "Kazahaya",
    "Mamiya",
    "Ohama",
    "Osashi",
    "Shioya",
    "Shirasaki",
    "Suriosaki",
    "Takasago Maru",
    "Takasaki"
    ]

KOREAN_SHIP_PREFIX = "EOKS"

KOREAN_DESTROYERS = [
    "Choe Yeong",
    "Chungmugong Yi Sun-sin",
    "Dae Jo-yeong",
    "Eulji Mundeok",
    "Gang Gam-chan",
    "Gwanggaeto the Great",
    "Munmu the Great",
    "Sejong the Great",
    "Seoae Yu Seong-ryong",
    "Wang Geon",
    "Yang Manchun",
    "Yulgok Yi I"
    ]

KOREAN_SUBMARINES = [
    "An Jung-geun",
    "Chang Bogo",
    "Choi Museon",
    "Jeong Ji",
    "Jeong Un",
    "Lee Chun",
    "Lee Eokgi",
    "Lee Jongmu",
    "Lee Sunsin",
    "Na Daeyon",
    "Park Wi",
    "Son Won-il"
    ]

KOREAN_TRANSPORTS = [
    "Bi Ro Bong",
    "Dokdo",
    "Go Jun Bong",
    "Hyang Ro Bong",
    "Marado",
    "Sung In Bong",
    "Wonsan"
    ]

# OİG = Osmanlı İmparatorluğu'nun Gemi  = Ship of the Ottoman Empire
# Note that some of the Turkish characters do not render in the UI (at least not with the default locale), even when Unicode strings are used.
OTTOMAN_SHIP_PREFIX = "OIG"

OTTOMAN_ATTACK_SUBMARINES = [
    u"Abdül Hamid",
    u"Abdül Mecit",
    "Anafartalar",
    u"Atilay",
    u"Batiray",
    u"Birinci Inönü",
    "Burakreis",
    u"Çanakkale",
    "Cerbe",
    u"Doganay",
    u"Gür",
    u"Hizirreis",
    "Dolunay",
    "Pirireis",
    "Preveze",
    "Sakarya",
    u"Saldiray",
    u"Uluçalireis",
    u"Yildiray",
    "18 Mart"
    ]

OTTOMAN_BATTLESHIPS = [
    u"Abdül Kadir",
    "Turgut Reis",
    u"Yavûz Sultân Selîm"
    ]

OTTOMAN_DESTROYERS = [
    "Adatepe",
    u"Alçitepe",
    "Aniteppe",
    "Demirhisar",
    "Gayret",
    u"Içel",
    "Iskenderun",
    "Istanbul",
    "Izmir",
    "Izmit",
    u"Kiliçalipasa",
    "Kocatepe",
    u"Maresal Fevzi Çakmak",
    u"Muâvenet-i Millîye",
    u"Piyalepasa",
    u"Savastepe",
    "Sultanhisar",
    "Tinaztepe",
    u"Yücetepe",
    "Zafer"
    ]

OTTOMAN_FRIGATES = [
    "Avnillah",
    u"Dimyâd",
    "Ertugrul",
    "Fazlullah",
    u"Feyzâ-i Bahrî",
    u"Kâ'id-i Zafer",
    "Mecidiye",
    u"Muhbir-i Sürûr",
    u"Muîn-i Rahmet",
    "Nacm-i Zafer",
    u"Nâvek-i Bahrî",
    u"Nesîm-i Zafer",
    u"Nizâmiye",
    "Nusretiye",
    "Resid",
    u"Sâik-i Sâdî",
    "Serafeddin",
    u"Tâif",
    u"Yâver-i Tevfik",
    "Zir-i Cihat"
    ]

OTTOMAN_IRONCLADS = [
    u"Âsâr-i Sevket",
    u"Âsâr-i Tevfik",
    u"Azîziye",
    u"Bögürtlen",
    u"Feth-i Bülend",
    u"Fettâh",
    "Hamidiye",
    "Hifz-i Rahman",
    "Hizber",
    u"Iclâliye",
    "Iskodra",
    u"Lûft-i Celîl",
    u"Mesûdiye",
    u"Muîn-i Zafer",
    "Mukaddeme-i Hayir",
    "Necm-i Sevket",
    u"Orhâniye",
    u"Osmâniye",
    u"Podgoriçe",
    "Semendire"
    ]

OTTOMAN_PRIVATEERS = [
    "Barbaros Hayreddin",
    "Gedik Ahmed Pasha",
    "Haci Ahmed Muhiddin Piri",
    "Kemal Reis",
    "Kurtoglu Muslihiddin Reis",
    "Murat Reis the Elder",
    u"Oruç Reis",
    "Piyale Pasha",
    u"Raïs Hamidou",
    "Salih Reis",
    "Seydi Ali Reis",
    "Sinan Pasha",
    "Sinan Reis",
    u"Süleyman Reis",
    u"Uluç Ali Reis"
    ]

OTTOMAN_SHIPS_OF_THE_LINE = [
    "Al Qahirah",
    "Beneghem",
    "Bisharet",
    "Burc-i Zafer",
    "Faouish",
    "Fatih Bahri",
    "Fethiye",
    "Fivrie",
    "Ghyu h Rewan",
    "Gulbang-i-Nusrat",
    u"Mahmûdiy",
    "Melike Bahri",
    u"Memdûhiye",
    "Sadiye",
    u"Sedd-ül Bahir",
    "Selimiye",
    "Tesrifiye",
    "Tesvikiye",
    "Tevfikiye",
    "Tre Naranceri"
    ]

OTTOMAN_TRANSPORTS = [
    "Akpinar",
    "Bayraktar",
    u"Binbasi Sadettin Gürcan",
    u"Çakabey",
    u"Çinar",
    "Eceabat",
    "Inebolu",
    "Karadeniz Ereglisi",
    u"Karamürselbey",
    "Kavak",
    "Orhan Gazi",
    "Osman Gazi",
    "Sancaktar",
    u"Sarköy",
    "Sarucabey",
    "Serdar",
    u"Sögüt",
    "Taskizak",
    "Ulabat",
    "Van"
    ]

PERSIAN_ATTACK_SUBMARINES = [
    "Besat",
    "Fateh",
    "Ghadir",
    "Nahang",
    "Nooh",
    "Tareq",
    "Yunes"
    ]

PERSIAN_DESTROYERS = [
    "Babr",
    "Davamand",
    "Palang"
    ]

PERSIAN_TRANSPORTS = [
    "Bandar Abbas",
    "Bushehr",
    "Charak",
    "Chiroo",
    "Dayer",
    "Delvar",
    "Ganaveh",
    "Gavatar",
    "Geno",
    "Hendijan",
    "Kharg",
    "Khoramshahr",
    "Konarak",
    "Maqam",
    "Moqam",
    "Nayband",
    "Rostami",
    "Silim",
    "Sirjan",
    "Souru"
    ]

# NIP = Navio do Império Português = Ship of the Portuguese Empire
PORTUGUESE_SHIP_PREFIX = "NIP"

PORTUGUESE_ATTACK_SUBMARINES = [
    u"Arpão",
    "Albacora",
    "Barracuda",
    "Cachalote",
    "Delfim",
    "Tridente"
    ]

PORTUGUESE_CARRACKS = [
    "Andorinho",
    u"Belém",
    "Cinco Chagas",
    "El Rei",
    u"Espírito Santo",
    "Flor de la Mar",
    "Madre de Deus",
    u"Nossa Senhora da Anunciação",
    u"Nossa Senhora da Conceição",
    u"Nossa Senhora da Quietação",
    u"Nossa Senhora da Saúde",
    u"Relíquias",
    "Santa Catarina do Monte Sinai",
    "Santa Isabel",
    u"São Francisco Xavier",
    u"São Gabriel",
    u"São Pedro",
    u"São Rafael"
    ]

PORTUGUESE_FRIGATES = [
    "Rainha de Portugal",
    u"Príncipe do Brasil",
    "Conde D. Henrique",
    "Dona Maria",
    "Dom Pedro",
    "Martinho de Freitas"
    ]

PORTUGUESE_GALLEONS = [
    "Bom Jesus",
    u"Misericórdia",
    "Padre Eterno",
    "Santa Teresa",
    u"Santo André",
    u"Santo António",
    u"São João Baptista",
    u"São Martinho",
    u"São Pedro da Ribeira",
    u"São Simão"
    ]

PORTUGUESE_SHIPS_OF_THE_LINE = [
    u"Dom João",
    u"Duquesa da Bragança",
    "Nau Rainha",
    u"Nossa Senhora da Palma e São Pedro",
    "Nossa Senhora da Guia",
    "Nossa Senhora da Luz",
    u"Nossa Senhora da Penha de França",
    "Nossa Senhora da Piedade",
    u"Nossa Senhora das Angústias",
    u"Nossa Senhora das Portas do Céu de Rosette",
    "Nossa Senhora de Bettencourt",
    u"Nossa Senhora do Cabo e São Pedro de Alcântara",
    "Nossa Senhora do Monte do Carmo",
    "Nossa Senhora do Vale",
    u"Princesa do Céu",
    u"Príncipe Real",
    "Rainha dos Anjos",
    u"Santa Ana e São Joaquim",
    "Santa Rosa",
    u"São Lourenço"
    ]

RUSSIAN_ATTACK_SUBMARINES = [
    "Chita",
    "Daniil Moskovskiy",
    "Gepard",
    "Leopard",
    "Magadan",
    "Nizhniy Novgorod",
    "Novosibirsk",
    "Obninsk",
    "Pantera",
    "Petrozavodsk",
    "Pskov",
    "Samara",
    "Svyatoy Nikolay Chudotvorets",
    "Tambov",
    "Tigr",
    "Vepr",
    "Volk",
    "Vologda",
    "Vyborg",
    "Yaroslavl"
    ]

RUSSIAN_BATTLESHIPS = [
    "Gangut",
    "Imperator Aleksandr III",
    "Imperator Nikolai I",
    "Imperatrista Ekaterina Velikaya",
    "Imperatrista Mariya",
    "Navarin",
    "Oslyabya",
    "Peresvet",
    "Petropavlovsk",
    "Pobeda",
    "Poltava",
    "Potemkin",
    "Rostislav",
    "Sevastopol",
    "Sissoi Veliky",
    "Sovetskaya Belorussiya",
    "Sovetskaya Rossiya",
    "Sovetskaya Ukraina",
    "Sovetsky Soyuz",
    "Tri Sviatitelia"
    ]

RUSSIAN_CARRIERS = [
    "Kiev",
    "Leningrad",
    "Minsk",
    "Moskva",
    "Novorossiysk",
    "Ulyanovsk",
    "Varyag"
    ]

RUSSIAN_DESTROYERS = [
    "Admiral Chabanenko",
    "Admiral Levchenko",
    "Admiral Panteleyev",
    "Admiral Tributs",
    "Admiral Ushakov",
    "Admiral Vinogradov",
    "Bditelny",
    "Bespokoynyy",
    "Bezposhchadny",
    "Bezuprechny",
    "Bodry",
    "Boiky",
    "Bystryy",
    "Gnevny",
    "Gordy",
    "Marshal Shaposhnikov",
    "Nastoychivyy",
    "Severomorsk",
    "Smetlivyy",
    "Vice-Admiral Kulakov"
    ]

RUSSIAN_FRIGATES = [
    "Aleksandr Nevskii",
    "Antonii",
    "Apostol Andrei",
    "Berislav",
    "Chetyrnadtsatyi",
    "Fanagoriya",
    "Feodosii",
    "Grigorii Bogoslov",
    "Grigorii Velikiya Armenii",
    "Ioann Bogoslov",
    "Ioann Zlatoust",
    "Kinburn",
    "Nikolai Chudotvorets",
    "Piatnadtsatyi",
    "Piotr Apostol",
    "Sergii Chudotvorets",
    "Shestnadtsatyii",
    "Sviatoi Georgii Pobedonosets",
    "Taganrog",
    "Vestnik"
    ]

RUSSIAN_IRONCLADS = [
    "Admiral Chichagov",
    "Admiral Grieg",
    "Admiral Lazarev",
    "Admiral Spiridov",
    "Bronenosets",
    "Charodeyka",
    "Edinorog",
    "Koldun",
    "Kreml",
    "Latnik",
    "Lava",
    "Ne Tron Menia",
    "Perun",
    "Pervenets",
    "Rusalka",
    "Smerch",
    "Strelets",
    "Tifon",
    "Uragan",
    "Veschun"
    ]

RUSSIAN_MISSILE_CRUISERS = [
    "Admiral Fokin",
    "Admiral Golovko",
    "Admiral Isachenkov",
    "Admiral Isakov",
    "Admiral Makarov",
    "Admiral Nakhimov",
    "Admiral Oktyabrsky",
    "Admiral Timoshenko",
    "Admiral Yumashev",
    "Admiral Zozulya",
    "Grozny",
    "Krondstadt",
    "Marshal Ustinov",
    "Marshal Voroshilov",
    "Nikolayev",
    "Pyotr Velikiy",
    "Ukrayina",
    "Vasily Chapaev",
    "Vice-Admiral Drozd",
    "Vladivostok"
    ]

RUSSIAN_SHIPS_OF_THE_LINE = [
    "Aleksandr",
    "Bogoyavleniye Gospodne",
    "Ekaterina",
    "Fiodor Stratilat",
    "Iosif II",
    "Kazanskaya Bogoroditsa",
    "Mariya Magdalina",
    "Navarkhia",
    "Simeon i Anna",
    "Slava Ekateriny",
    "Soshestviye Sviatogo Dukha",
    "Sviataya Troitsa",
    "Sviatoi Mikhail",
    "Sviatoi Nikolai",
    "Sviatoi Pavel",
    "Sviatoi Piotr",
    "Tol'skaya Bogoroditsa",
    "Tsar' Konstantin",
    "Vladimir",
    "Zakharii i Elizavet"
    ]

RUSSIAN_SUBMARINE_PREFIX = "K-"

RUSSIAN_TRANSPORTS = [
    "Alambay",
    "Aleksandr Brykhin",
    "Aleksandr Otrakovskiy",
    "Aleksandr Shabalin",
    "Amur",
    "Ataman Platov",
    "Azov",
    "Caesar Kunikov",
    "Kaliningrad",
    "Kondopoga",
    "Korolev",
    "Nikolay Filchenkov",
    "Nikolay Vilkov",
    "Novocherkassk",
    "Olenegorskiy Gornyak",
    "Orsk",
    "Oslyabya",
    "Pinega",
    "Saratov",
    "Yamal"
    ]

SPANISH_ATTACK_SUBMARINES = [
    u"Delfín",
    "Galerna",
    "Marsopa",
    "Mistral",
    "Narval",
    "Siroco",
    "Tonina",
    "Tramontana"
    ]

SPANISH_BATTLESHIPS = [
    "Alfonso XIII",
    u"España",
    "Jaime I"
    ]

SPANISH_CARAVELS = [
    "La Capitana",
    "La Gallega",
    u"La Vizcaína",
    u"Niña",
    "Pinta",
    "Santa Maria",
    "Santiago de Palos"
    ]

SPANISH_CARRIERS = [
    u"Dédalo",
    "Juan Carlos I",
    u"Príncipe de Asturias"
    ]

SPANISH_DESTROYERS = [
    u"Alcalá Galiano",
    u"Almirante Ferrándiz",
    u"Almirante Valdés",
    "Alsedo",
    "Audaz",
    "Bustamante",
    "Cadarso",
    "Churruca",
    "Destructor",
    "Furor",
    u"José Luis Díez",
    "Lazaga",
    "Lepanto",
    "Osado",
    "Pluton",
    "Proserpina",
    u"Sánchez Barcáiztegui",
    "Terror",
    "Velasco",
    "Villamil"
    ]

SPANISH_FRIGATES = [
    "Astrolabio",
    u"Burlandín",
    "Cortes",
    "Esperanza",
    "Gloria",
    "Iberia",
    "Isabel II",
    "La Flora",
    "Lealtad",
    u"María Isabel",
    "Mercurio",
    "Minerva",
    u"Nuestra Señora de la O",
    u"Perla de España",
    "Prueba",
    u"Reina María Cristina",
    "Santa Tecla",
    "Tetis",
    "Victoria",
    "Villa de Bilbao"
    ]

SPANISH_GALLEONS = [
    u"Encarnación",
    "Espiritu Santo",
    u"Nuestra Señora de Atocha",
    u"Nuestra Señora de la Concepción",
    "Rosario",
    "San Cristobal",
    "San Diego",
    "San Pablo",
    "San Pedro",
    "San Pelayo",
    "San Salvador",
    "Santa Margarita",
    u"Santísima Trinidad",
    "Urca de Lima"
    ]

SPANISH_IRONCLADS = [
    "Arapiles",
    u"Méndez Núñez",
    "Numancia",
    u"Puigcerdá",
    "Sagunto",
    u"Tetuán",
    "Vitoria",
    "Zaragoza"
    ]

SPANISH_PRIVATEERS = [
    "Alonso de Contreras",
    "Alonzo Bosco",
    u"Amaro Rodríguez Felipe",
    "Benito de Soto",
    u"José Gaspar",
    u"Juan García",
    "Lope de Aguirre",
    "Mansel Alcantra",
    u"Miguel Enríquez",
    "Pedro de la Plesa"
    ]

SPANISH_SHIPS_OF_THE_LINE = [
    "Conde de Regla",
    u"Fénix",
    "Gran Princesa de los Cielos",
    "Mejicano",
    u"Purísima Concepcion",
    "Rayo",
    "Real Carlos",
    "Real Felipe",
    u"Reina Doña Isabel II",
    "Reina Luisa",
    u"Rey Don Francisco de Asís",
    "Salvador del Mundo",
    "San Carlos",
    "San Fernando",
    "San Hermenegildo",
    "San Luis",
    u"San José",
    "Santa Ana",
    "Santa Isabel",
    "Santiago"
    ]

SPANISH_SUBMARINES = [
    u"Cosme García",
    "General Mola",
    "General Sanjurjo",
    "Isaac Peral",
    u"Mateo García de los Reyes",
    "Narciso Monturiol"
    ]

SPANISH_TRANSPORTS = [
    "Cantabria",
    "Castilla",
    "Contramaestre Casado",
    u"El Camino Español",
    u"Martín Posadillo",
    "Galicia",
    u"Patiño"
    ]
